> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Compliance By Ship

> Compliance percentage per ship.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/admin/analytics/compliance-by-ship
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/admin/analytics/compliance-by-ship:
    get:
      tags:
        - learn-admin-analytics
      summary: Get Compliance By Ship
      description: Compliance percentage per ship.
      operationId: >-
        get_compliance_by_ship_api_v1_learn_admin_analytics_compliance_by_ship_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShipComplianceResponseDTO'
      security:
        - HTTPBearer: []
components:
  schemas:
    ShipComplianceResponseDTO:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ShipComplianceDTO'
          type: array
          title: Data
      type: object
      required:
        - data
      title: ShipComplianceResponseDTO
    ShipComplianceDTO:
      properties:
        shipId:
          type: string
          title: Shipid
        ship:
          type: string
          title: Ship
        compliance:
          type: number
          title: Compliance
      type: object
      required:
        - shipId
        - ship
        - compliance
      title: ShipComplianceDTO
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````